<template>
  <section class="l">
    <div v-if="!submit.data && !submit.isError">
      <Tabs />
      <RoleDetails v-if="visibleTab === TABS.DETAILS" />
      <RoleForm v-show="visibleTab === TABS.APPLY" />
    </div>

    <SubmitSuccess
      v-if="submit.data"
      :title="data.success_title"
      :message="data.success_message"
    />
    <SubmitError v-if="submit.isError" />
  </section>
</template>

<script>
import Tabs from "@/components/apply/Tabs";
import RoleDetails from "@/components/apply/RoleDetails";
import { mapState } from "vuex";
import { TABS } from "@/constants/tabs";
import RoleForm from "@/components/apply/RoleForm";
import SubmitSuccess from "../responses/SubmitSuccess";
import SubmitError from "../responses/SubmitError";

export default {
  name: "Apply",
  components: {
    SubmitError,
    SubmitSuccess,
    RoleForm,
    RoleDetails,
    Tabs
  },
  data: function() {
    return {
      TABS
    };
  },
  computed: {
    ...mapState(["visibleTab", "data", "submit"])
  }
};
</script>

<style lang="scss">
.c-page-content {
  padding-bottom: 7rem;

  @include breakpoint(overPhone) {
    padding-top: 9rem;
    padding-bottom: 14rem;
  }
}
</style>
